[android-components](../../index.md) / [mozilla.components.service.fxa.sync](../index.md) / [WorkManagerSyncWorker](./index.md)

# WorkManagerSyncWorker

`class WorkManagerSyncWorker : CoroutineWorker` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/service/firefox-accounts/src/main/java/mozilla/components/service/fxa/sync/WorkManagerSyncManager.kt#L250)

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `WorkManagerSyncWorker(context: <ERROR CLASS>, params: WorkerParameters)` |

### Functions

| Name | Summary |
|---|---|
| [doWork](do-work.md) | `suspend fun doWork(): Result` |
